commit 6c4d89b09c0696ac9fcb91829517d6d0b1aa7d4b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jan 6 01:18:15 2022

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 430a7046c31..a8c88384614 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220105
+20220106
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 350049f3a6f..8bae9e8fb83 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,88 @@
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/char_traits.h (__gnu_cxx::char_traits::move):
+	Do not compare unrelated pointers during constant evaluation.
+	* testsuite/21_strings/char_traits/requirements/constexpr_functions_c++20.cc:
+	Improve tests for char_traits::move.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-12-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	* acinclude.m4 (GLIBCXX_ENABLE_LIBSTDCXX_TIME): Add _GLIBCXX_
+	prefix to NO_SLEEP macro.
+	* config.h.in: Regenerate.
+	* configure: Regenerate.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103877
+	* doc/xml/faq.xml: Add '-x c++' to preprocessor command.
+	* doc/html/faq.html: Regenerate.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-12-01  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103501
+	* include/bits/stl_tree.h (_Rb_tree(_Rb_tree&&, false_type)):
+	Clear container if elements have been moved-from.
+	* testsuite/23_containers/map/allocator/move_cons.cc: Expect
+	moved-from container to be empty.
+	* testsuite/23_containers/multimap/allocator/move_cons.cc:
+	Likewise.
+	* testsuite/23_containers/multiset/allocator/103501.cc: New test.
+	* testsuite/23_containers/set/allocator/103501.cc: New test.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-12-04  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103549
+	* include/bits/regex.h (match_results): Give names to template
+	parameters in first declaration.
+	(match_results::_M_begin): Add default member-initializer.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-11-30  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103453
+	* config/allocator/malloc_allocator_base.h
+	(_GLIBCXX_SANITIZE_STD_ALLOCATOR): Define for Clang.
+	* config/allocator/new_allocator_base.h
+	(_GLIBCXX_SANITIZE_STD_ALLOCATOR): Likewise.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/103919
+	* include/bits/basic_string.h (basic_string(const T&, size_t, size_t)):
+	Relax constraints on string_view parameter.
+	[!_GLIBCXX_USE_CXX11_ABI] (basic_string(const T&, size_t, size_t)):
+	Likewise.
+	* testsuite/21_strings/basic_string/cons/char/103919.cc: New test.
+
+2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-01-05  Jonathan Wakely  <jwakely@redhat.com>
+
+	* python/libstdcxx/v6/printers.py (StdErrorCodePrinter): Strip
+	versioned namespace from the type name that is printed.
+
 2022-01-04  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

